Description

Tables with geography columns (new in [[PostGIS]] 1.5.x) are not detected when adding new [[PostGIS]] layer.  Geographies have been

added for working in spherical (lat/lon) coords and respecting IDL and poles.

Operators and functions are the same for geometry, albeit restricted for geography being new.  And schema definition is easier also with

no [[AddGeometryColumn]] magic.

Can't use quantum GIS on [[PostGIS]] geography database without this support.

History

#1 - 2010-05-24 04:06 PM - Mike Taves

A simple workaround is to create views that cast the geography column(s) to geometry. This gets slightly more complicated if you want to have

update/delete operations supported, since you need to write the rules for the views. Furthermore, this doesn't solve the IDL/pole geometry issues that

geography resolves.

General link to PostGIS Geography Documentation

#2 - 2010-06-25 01:01 PM - Jürgen Fischer

- Status changed from Open to In Progress

#3 - 2010-07-17 04:22 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

applied in commit:aedac631 (SVN r13923).
http://postgis.refractions.net/documentation/manual-1.5/ch04.html#PostGIS_Geography

